Bug 175634 - "yum groupinstall kde" yields Python exception (AttributeError groupInfo)
"yum groupinstall kde" yields Python exception (AttributeError groupInfo)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 11:40 EST by Stephen Warren
Modified: 2014-01-21 17:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 15:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-12-13 11:40:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
Running "yum groupinstall kde" gives this Python backtrace:

[root@esk tmp]# yum groupinstall kde
Loading "installonlyn" plugin
Setting up Group Process
Setting up repositories
Setting up repositories
Reading repository metadata in from local files
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 97, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 563, in doCommands
    return self.installGroups()
  File "/usr/share/yum-cli/cli.py", line 1354, in installGroups
    if not self.groupInfo.groupExists(group):
AttributeError: YumBaseCli instance has no attribute 'groupInfo'

Note that running e.g. "yum grouplist" or "yum list kde\*" and other commands all work just fine.

Version-Release number of selected component (if applicable):
yum-2.5.0-0.20051210

How reproducible:
Always

Steps to Reproduce:
Run " yum groupinstall kde" (having previously updated to Fedora rawhide as of sometime 2005/12/12, although that may not be relevant)


Additional info:
Comment 1 Stephen Warren 2005-12-13 11:40:55 EST
Oops. Selected the wrong component in the list... Moving to yum.
Comment 2 Stephen Warren 2005-12-13 11:42:53 EST
Extra info: maybe "kde" isn't a valid group name - "yum groupinfo" doesn't seem
to like it. So, I could try the longer name 'KDE (K Desktop Environment', which
"yum groupinfo" seems to like, but "yum groupinstall" still barfs on:

[root@esk tmp]# yum groupinfo kde
Loading "installonlyn" plugin
Setting up Group Process
Setting up repositories

Group: KDE
 Description: None
[root@esk tmp]# yum groupinfo 'KDE (K Desktop Environment)'
Loading "installonlyn" plugin
Setting up Group Process
Setting up repositories

Group: KDE (K Desktop Environment)
 Description: KDE is a powerful, graphical user interface which includes a
panel, desktop, system icons, and a graphical file manager.
 Mandatory Packages:
   htdig
   arts
   desktop-printing
   kdebase
 Default Packages:
   kdeaddons
   kdeartwork
   kdepim
   kdemultimedia
   kdeutils
   kdegraphics
   kdenetwork
   autorun
   desktop-printing
 Optional Packages:
   kdeadmin
[root@esk tmp]# yum groupinstall 'KDE (K Desktop Environment)'
Loading "installonlyn" plugin
Setting up Group Process
Setting up repositories
Setting up repositories
Reading repository metadata in from local files
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 97, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 563, in doCommands
    return self.installGroups()
  File "/usr/share/yum-cli/cli.py", line 1354, in installGroups
    if not self.groupInfo.groupExists(group):
AttributeError: YumBaseCli instance has no attribute 'groupInfo'
Comment 3 Seth Vidal 2005-12-13 15:14:06 EST
fixed in yum 2.5.0 final - should be in rawhide shortly

Note You need to log in before you can comment on or make changes to this bug.